# DataGridViewDateTimePickerCell

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [DataGridViewElement](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md)
    * [DataGridViewDateTimePickerCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md)

Displays an editable [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewDateTimePickerCell : DataGridViewCell
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewDateTimePickerCell
    Inherits DataGridViewCell
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewDateTimePickerCell()

Initializes a new instance of [DataGridViewDateTimePickerCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CustomFormat

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the custom date/time format string.

See [Custom Date and Time Format Strings](https://msdn.microsoft.com/en-us/library/8kb3ddd4\(v=vs.110\).aspx) for the supported format definitions.

### ![](/files/hsR4ok3152WyAf8J2C1u) EditType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns the type of the cell's hosted editing control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Format

[DateTimePickerFormat](/api/wisej.web/enumerations/wisej.web.datetimepickerformat.md): Returns or sets the format of the date/time value displayed in the control. (Default: `DateTime`)

### ![](/files/hsR4ok3152WyAf8J2C1u) MaxDate

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Returns or sets the maximum date and time that can be selected in the control.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value assigned is not less than the [MaximumDateTime](/api/wisej.web/editors/wisej.web.datetimepicker.md#fields) value (12/31/9998).
* [SystemException](https://docs.microsoft.com/dotnet/api/system.systemexception)\
  The value assigned is less than the [MinimumDateTime](/api/wisej.web/editors/wisej.web.datetimepicker.md#fields) value (01/01/1753).

### ![](/files/hsR4ok3152WyAf8J2C1u) MinDate

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Returns or sets the minimum date and time that can be selected in the control.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)\
  The value assigned is not less than the [MaximumDateTime](/api/wisej.web/editors/wisej.web.datetimepicker.md#fields) value (12/31/9998).
* [SystemException](https://docs.microsoft.com/dotnet/api/system.systemexception)\
  The value assigned is less than the [MinimumDateTime](/api/wisej.web/editors/wisej.web.datetimepicker.md#fields) value (01/01/1753).

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowUpDown

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value indicating if a spin button control (up-down control) is displayed and can be used to adjust the date/time value. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Tools

[ComponentToolCollection](/api/wisej.web/editors/wisej.web.componenttoolcollection.md): Returns the instance of [ComponentToolCollection](/api/wisej.web/editors/wisej.web.componenttoolcollection.md) associated with this cell.

### ![](/files/hsR4ok3152WyAf8J2C1u) ValueType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns or sets the data type of the values in the cell.

## Implements

| Name                                                                    | Description                                                                                                     |
| ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)           | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md) | Defines an object that can invoke a [Command](/api/wisej.web/interfaces/wisej.web.icommandsource.md#command).   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
